Subject: Re: [PATCH] ipv4: fix for ip_options_rcv_srr() daddr update.

From: Li Wei <[email-masked]>
Date: Tue, 15 Nov 2011 15:51:29 +0800

> From: Li Wei <[email-masked]>
> Date: Tue, 15 Nov 2011 15:26:31 +0800
> 
>> My question, in ip_forward() and ip_forward_options() rt is there, why not
>> we just use it?
> 
> Because I'm trying to eliminate all accesses to rt->rt_dst because
> when I remove the routing cache, routes will be shared.  One 'rt'
> will refer to many specific destination addresses.
> 
> 
Sorry, I can't understand what you said, can you make it more clear?

I think in ip_forward(), we need 'rt' to forward skb, until this skb has been 
forwarded we hold a reference to it in skb, We can use rt->rt_dst safely, It
is an ordinary __be32 not a reference.